/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* MARQUESINA BACKGROUNDS TITLE */
.marquee {
  overflow: hidden;
  display: flex;
}

.marquee h2{
  white-space: nowrap;
}

/* BORDES BENEFICIOS */

.beneficios,
.beneficios2{
    position: relative
}
.beneficios::after {
  content: "";
  position: absolute;
  top: 30%; /* Ajusta para que el borde empiece al 20% (100% - 60% = 40% restante) */
  right: 0;
  height: 50%; /* Altura del borde */
  width: 0.1px; /* Grosor del borde */
  background: #FFFFFF8A; /* Color del borde */
}
@media (max-width: 1024px) {  /* Ajusta el breakpoint según necesites */
  .beneficios::after,
  .beneficios2::after{
	content: "";
  	position: absolute;
    top: auto;          /* Restablece la posición vertical */
    bottom: 0;          /* Lo coloca en la parte inferior */
    right: auto;        /* Restablece la posición horizontal */
    left: 25%;         /* Inicio del borde (20% desde la izquierda) */
    height: 0.1px;        /* Grosor del borde (ahora horizontal) */
    width: 50%;         /* Ancho del borde (60% del contenedor) */
	  background: #FFFFFF8A;
  }
}

/* FORM ELEMENTOR */

.elementor-field-textual,
.elementor-field-group .elementor-field-textual{
	padding:20px
}

/* OCULTAR GRID BLOG */
.hide-blog .elementor-grid,
.hide-pagination .elementor-pagination{
	display:none !important
}
.page-numbers{
	transition: all .5s ease;
}
.page-numbers.current ,
.page-numbers:hover
{
	font-weight:600;
}
.page-numbers.next,
.page-numbers.prev{
	color:#FFC465 !important;
	font-weight:600 !important;
	padding:15px 20px;
	margin:10px;
	border:1px solid #FFC465
}
.page-numbers:not(.dots){
	padding:8px 13px
}
/* IMAGEN NOSOTROS POR IDIOMA */

/* Ocultar imagen en inglés por defecto */
.image-en { display: none !important; }

/* Mostrar imagen en inglés si Google Translate está activo en inglés */
html[lang="en"] .image-es,
html.translated-ltr .image-es {
    display: none !important;
}
html[lang="en"] .image-en,
html.translated-ltr .image-en {
    display: block !important;
}

/* ICONO SVG */

.elementor-button-icon svg{
	transition: all ease .5s;
}

/* MENSAJE SUCCESS/ERROR FORMULARIO ENVIADO */

.form-white .elementor-message.elementor-message-success,
.form-black .elementor-message.elementor-message-success,
.form-white .elementor-message.elementor-message-danger,
.form-black .elementor-message.elementor-message-danger{
    background: #0000001A;
    padding: 20px 25px;
	margin-top:20px;
    border: 1px solid rgba(0, 0, 0, .3);
}

.form-black .elementor-message.elementor-message-success,
.form-black .elementor-message.elementor-message-danger{
    background: #FFFFFF1A;
    border: 1px solid rgba(255, 255, 255, .3);
	color:#fff
}

/* BLOG HOVER ANIMATION */
#dynamic-featured-image,
.dynamic-featured-image{
	transition: all 0.3s ease;
}
#dynamic-featured-image img{
    transition: all 0.3s ease;
	width:800px;
	max-width:100%;
	aspect-ratio: 4/3;
    object-fit: cover;
}
.dynamic-featured-image img{
	aspect-ratio: 1/1 !important; 
}

.post-hover:hover {
    cursor: pointer;
}